> ## Documentation Index
> Fetch the complete documentation index at: https://docs.predexon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Market Price

> Get the current or historical price for a specific token

Fetch current or historical price for a token. Uses weighted average of recent trades when stable, or last trade price when volatile.

<Tip>**Free & Unlimited.** This endpoint does not count toward your monthly usage limits on any plan.</Tip>


## OpenAPI

````yaml GET /v2/polymarket/market-price/{token_id}
openapi: 3.1.0
info:
  title: Predexon API
  description: Prediction market data aggregation and matching API
  version: 2.0.0
servers:
  - url: https://api.predexon.com
security:
  - apiKey: []
paths:
  /v2/polymarket/market-price/{token_id}:
    get:
      tags:
        - polymarket
      summary: Get Market Price
      description: |-
        Fetch the current or historical market price for a token.

        Uses last 5 trades across both tokens (Yes/No) of the market:
        - If all prices within $0.10: weighted average by USD amount
        - Otherwise: last traded price
      operationId: get_market_price_v2_polymarket_market_price__token_id__get
      parameters:
        - name: token_id
          in: path
          required: true
          schema:
            type: string
            description: Token ID for the market
            title: Token Id
          description: Token ID for the market
        - name: at_time
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: Unix timestamp (seconds) for historical price
            title: At Time
          description: Unix timestamp (seconds) for historical price
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketPriceResponse'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    MarketPriceResponse:
      properties:
        price:
          type: number
          title: Price
        at_time:
          type: integer
          title: At Time
          description: Unix timestamp in seconds
      type: object
      required:
        - price
        - at_time
      title: MarketPriceResponse
      description: Market price endpoint response.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
      type: object
      required:
        - error
        - message
      title: ErrorResponse
      description: Standard error response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````